List comments on a DIR
List the comments on a DIR. The enterprise is resolved server-side from the DIR id.
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const commentListResponse of client.dir.comments.list(
'16635d38-75a6-4481-82e8-69af60e05011',
)) {
console.log(commentListResponse.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.dir.comments.list(
dir_id="16635d38-75a6-4481-82e8-69af60e05011",
)
page = page.data[0]
print(page.id)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Dir.Comments.List(
context.TODO(),
"16635d38-75a6-4481-82e8-69af60e05011",
telnyx.DirCommentListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.dir.comments.CommentListPage;
import com.telnyx.sdk.models.dir.comments.CommentListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
CommentListPage page = client.dir().comments().list("16635d38-75a6-4481-82e8-69af60e05011");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.dir.comments.list("16635d38-75a6-4481-82e8-69af60e05011")
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->dir->comments->list(
'16635d38-75a6-4481-82e8-69af60e05011',
commentType: 'vetting_comment',
pageNumber: 1,
pageSize: 20,
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx dir:comments list \
--api-key 'My API Key' \
--dir-id 16635d38-75a6-4481-82e8-69af60e05011curl --request GET \
--url https://api.telnyx.com/v2/dir/{dir_id}/comments \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "30bbd13c-1f3a-47c0-8fa6-718835917b2f",
"entity_type": "dir",
"content": "Please re-upload a clearer scan of the certificate.",
"visibility": "customer",
"author_role": "customer",
"author_name": null,
"comment_type": "vetting_comment",
"created_at": "2026-04-27T00:42:44.305835Z"
}
],
"meta": {
"total_pages": 3,
"total_results": 42,
"page_number": 1,
"page_size": 20
}
}Authorizations
Telnyx API key. Generate one at https://portal.telnyx.com/#/app/api-keys.
Path Parameters
The DIR id. Lowercase UUID.
"16635d38-75a6-4481-82e8-69af60e05011"
Query Parameters
1-based page number. Out-of-range values return an empty page with correct meta.
x >= 11
Items per page. Maximum 250; values above are clamped to 250.
1 <= x <= 25020
Restrict to comments of this category. Customer-visible categories only: internal-only comments are filtered out regardless of this filter.
Comment categorisation. Customers post customer_inquiry. The Telnyx team posts vetting_comment, rejection_reason, notification, status_update, or admin_response. internal_note is filtered out of customer-visible responses.
vetting_comment, rejection_reason, internal_note, notification, status_update, customer_inquiry, admin_response Response
Paginated list of comments.
Show child attributes
Show child attributes
JSON:API pagination metadata returned with every paginated list response. Page numbering is 1-based. page_size reports the number of items actually returned in data for this page; the requested size is taken from the page[size] query parameter.
Show child attributes
Show child attributes
Was this page helpful?
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const commentListResponse of client.dir.comments.list(
'16635d38-75a6-4481-82e8-69af60e05011',
)) {
console.log(commentListResponse.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.dir.comments.list(
dir_id="16635d38-75a6-4481-82e8-69af60e05011",
)
page = page.data[0]
print(page.id)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Dir.Comments.List(
context.TODO(),
"16635d38-75a6-4481-82e8-69af60e05011",
telnyx.DirCommentListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.dir.comments.CommentListPage;
import com.telnyx.sdk.models.dir.comments.CommentListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
CommentListPage page = client.dir().comments().list("16635d38-75a6-4481-82e8-69af60e05011");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.dir.comments.list("16635d38-75a6-4481-82e8-69af60e05011")
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->dir->comments->list(
'16635d38-75a6-4481-82e8-69af60e05011',
commentType: 'vetting_comment',
pageNumber: 1,
pageSize: 20,
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx dir:comments list \
--api-key 'My API Key' \
--dir-id 16635d38-75a6-4481-82e8-69af60e05011curl --request GET \
--url https://api.telnyx.com/v2/dir/{dir_id}/comments \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "30bbd13c-1f3a-47c0-8fa6-718835917b2f",
"entity_type": "dir",
"content": "Please re-upload a clearer scan of the certificate.",
"visibility": "customer",
"author_role": "customer",
"author_name": null,
"comment_type": "vetting_comment",
"created_at": "2026-04-27T00:42:44.305835Z"
}
],
"meta": {
"total_pages": 3,
"total_results": 42,
"page_number": 1,
"page_size": 20
}
}